summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-05-29 19:11:48 -0400
committer Erik Hanson <erik@slackbuilds.org>2012-06-03 15:21:11 -0500
commite0b5c42ffc7016d70d3017a1f4681f26260a7c28 (patch)
tree96ea38a3a9b33fc858deb0160c1483aa0598a06a /games
parent4cb88c6671688d38eeb6124b72ec58b0487faffa (diff)
downloadslackbuilds-e0b5c42ffc7016d70d3017a1f4681f26260a7c28.tar.gz
slackbuilds-e0b5c42ffc7016d70d3017a1f4681f26260a7c28.tar.xz
games/wordwarvi: Added (retro styled scrolling shoot'em up game)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/wordwarvi/README9
-rw-r--r--games/wordwarvi/doinst.sh9
-rw-r--r--games/wordwarvi/slack-desc19
-rw-r--r--games/wordwarvi/wordwarvi.SlackBuild74
-rw-r--r--games/wordwarvi/wordwarvi.info10
5 files changed, 121 insertions, 0 deletions
diff --git a/games/wordwarvi/README b/games/wordwarvi/README
new file mode 100644
index 0000000000..a1456546f5
--- /dev/null
+++ b/games/wordwarvi/README
@@ -0,0 +1,9 @@
+wordwarvi (retro styled side scrolling shoot'em up arcade game)
+
+Word War vi is your basic side-scrolling shoot 'em up '80s style arcade
+game. You pilot your "vi"per craft through core memory, rescuing lost
+.swp files, avoiding OS defenses, and wiping out those memory hogging
+emacs processes. When all the lost .swp files are rescued, head for the
+socket which will take you to the next node in the cluster.
+
+This requires portaudio.
diff --git a/games/wordwarvi/doinst.sh b/games/wordwarvi/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/wordwarvi/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/wordwarvi/slack-desc b/games/wordwarvi/slack-desc
new file mode 100644
index 0000000000..e71af31de9
--- /dev/null
+++ b/games/wordwarvi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wordwarvi: wordwarvi (retro styled side scrolling shoot'em up arcade game)
+wordwarvi:
+wordwarvi: Word War vi is your basic side-scrolling shoot 'em up '80s style arcade
+wordwarvi: game. You pilot your "vi"per craft through core memory, rescuing lost
+wordwarvi: .swp files, avoiding OS defenses, and wiping out those memory hogging
+wordwarvi: emacs processes. When all the lost .swp files are rescued, head for
+wordwarvi: the socket which will take you to the next node in the cluster.
+wordwarvi:
+wordwarvi:
+wordwarvi:
+wordwarvi:
diff --git a/games/wordwarvi/wordwarvi.SlackBuild b/games/wordwarvi/wordwarvi.SlackBuild
new file mode 100644
index 0000000000..d6bdf596ff
--- /dev/null
+++ b/games/wordwarvi/wordwarvi.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/bash
+
+# Slackware build script for wordwarvi
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=wordwarvi
+VERSION=${VERSION:-1.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make OPTIMIZE_FLAG="$SLKCFLAGS" MANDIR=/usr/man SCREENSAVERFLAG=-DDO_INHIBIT_SCREENSAVER
+make install MANDIR=/usr/man DESTDIR=$PKG
+strip $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps
+cat icons/${PRGNAM}_icon_128x128.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# TODO: .desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.png *.txt *.html AUTHORS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/wordwarvi/wordwarvi.info b/games/wordwarvi/wordwarvi.info
new file mode 100644
index 0000000000..1e18f0b484
--- /dev/null
+++ b/games/wordwarvi/wordwarvi.info
@@ -0,0 +1,10 @@
+PRGNAM="wordwarvi"
+VERSION="1.00"
+HOMEPAGE="http://wordwarvi.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/wordwarvi/wordwarvi/wordwarvi-1.00/wordwarvi-1.00.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="034a908346a2ab514f92b12f5e952b80"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"